<!doctype html>
<html>
    <head>
        <meta charset="utf-8" />
        <title>چت روم بسته می باشد</title>
        <meta name="robots" content="noindex, nofollow">
        <link href="theme/css/tohitarh.css" rel="stylesheet"/>
        <style type="text/css">
            a {
                text-decoration: none;
            }
            a:hover {
                text-decoration: underline;
            }
        </style>
        <script type="text/javascript" src="/theme/default/js/jquery.js"></script>
        <script type="text/javascript">
            function login_room(){
                $('#div_login').show();
                $('#div_info').hide();
            }
            function cancel_room(){
                $('#div_login').hide();
                $('#div_info').show();
            }
            function open_room() {
                var $user = $('#username').val();
                if($user==='') {
                    alert('نام کاربری وارد نشده است');
                    return false;
                }
                var $pass = $('#password').val();
                if($pass==='') {
                    alert('کلمه عبور وارد نشده است');
                    return false;
                }
                var $admin = $('#admin').val();
                if($admin==='') {
                    alert('کلمه عبور ثانویه وارد نشده است');
                    return false;
                }
                $.post('/closeroom',{user:$user,pass:$pass,admin:$admin},function($data){
                    if($data.status=='success') {
                        window.location.reload();
                    } else if($data.status=='fail') {
                        alert($data.message);
                    } else {
                        alert($data);
                    }
                },'json');
            }
        </script>
    </head>
    <body>
        <div id="level">
            <div id="content">
                <div id="gears">
                    <div id="gears-static"></div>
                    <div id="gear-system-1">
                        <div class="shadow" id="shadow15"></div>
                        <div id="gear15"></div>
                        <div class="shadow" id="shadow14"></div>
                        <div id="gear14"></div>
                        <div class="shadow" id="shadow13"></div>
                        <div id="gear13"></div>
                    </div>
                    <div id="gear-system-2">
                        <div class="shadow" id="shadow10"></div>
                        <div id="gear10"></div>
                        <div class="shadow" id="shadow3"></div>
                        <div id="gear3"></div>
                    </div>
                    <div id="gear-system-3">
                        <div class="shadow" id="shadow9"></div>
                        <div id="gear9"></div>
                        <div class="shadow" id="shadow7"></div>
                        <div id="gear7"></div>
                    </div>
                    <div id="gear-system-4">
                        <div class="shadow" id="shadow6"></div>
                        <div id="gear6"></div>
                        <div id="gear4"></div>
                    </div>
                    <div id="gear-system-5">
                        <div class="shadow" id="shadow12"></div>
                        <div id="gear12"></div>
                        <div class="shadow" id="shadow11"></div>
                        <div id="gear11"></div>
                        <div class="shadow" id="shadow8"></div>
                        <div id="gear8"></div>
                    </div>
                    <div class="shadow" id="shadow1"></div>
                    <div id="gear1"></div>
                    <div id="gear-system-6">
                        <div class="shadow" id="shadow5"></div>
                        <div id="gear5"></div>
                        <div id="gear2"></div>
                    </div>
                    <div class="shadow" id="shadowweight"></div>
                    <div id="chain-circle"></div>
                    <div id="chain"></div>
                    <div id="weight"></div>
                </div>
                <div id="title" dir="rtl">
                    <div id="div_info">
                        <h1><font face="b yekan">چت روم بسته شد(<a href="javascript:;" onclick="login_room()">باز کن</a>)</font></h1>
                        <h2>دلیل : <?php echo(isset($options['chat_close_text'])?(!empty($options['chat_close_text'])?$options['chat_close_text']:'وارد نشده است'):'وارد نشده است'); ?></h2>
                    </div>
                    <div id="div_login" style="display: none;">
                        <table>
                            <tr>
                                <th>نام کاربری : </th>
                                <td><input type="text" id="username" name="username" value=""  style="width: 200px;padding: 5px;" /></td>
                            </tr>
                            <tr>
                                <th>کلمه عبور اولیه : </th>
                                <td><input type="password" id="password" name="password" value="" style="width: 200px;padding: 5px;" /></td>
                            </tr>
                            <tr>
                                <th>کلمه عبور ثانویه : </th>
                                <td><input type="password" id="admin" name="admin" value="" style="width: 200px;padding: 5px;" /></td>
                            </tr>
                            <tr>
                                <th colspan="2"><h2><a href="javascript:;" onclick="open_room()" style="color: red;">باز کردن</a> | <a href="javascript:;" onclick="cancel_room()" style="color: red;">انصراف</a></h2></th>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>