<?php
include('header.php');
include('sidebar.php');
$useroptions = json_decode($options['useroptions'], true);
?>
<script type="text/javascript">
    function resemblancedesc() {
        $("#resemblancedes").dialog('open');

    }
    function edit() {
        $.ajax({
            type: "POST",
            url: "<?php echo(url('ajax/admin.settings.msg')); ?>",
            data: $('#formeditsettings').serialize(),
            success: function (data) {
                switch (data) {
                    case('ok'):
                        $.msgGrowl({type: 'success', title: 'موفقیت آمیز', text: 'ذخیره شد'});
                        break;
                    case('title'):
                        $.msgGrowl({type: 'success', title: 'لطفا نامی برای اتاق انتخاب کنید', text: 'خطا'});
                        break;
                    default:
                        alert(data);
                        break;
                }
            }
        });
    }
    $(document).ready(function () {
        var $speedmsgenable = $('#speedmsgenable').prop('checked');
        if ($speedmsgenable == true) {
            $('#msgdiv').slideDown(1000);
        } else {
            $('#msgdiv').slideUp(1000);
        }
        $('.checkbox').click(function () {
            $speedmsgenable = $('#speedmsgenable').prop('checked');
            if ($speedmsgenable == true) {
                $('#msgdiv').slideDown(1000);
            } else {
                $('#msgdiv').slideUp(1000);
            }

        });
        $("#resemblancedes").dialog({
            autoOpen: false,
            modal: true,
            width: 500,
            buttons: [{text: "متوجه شدم", click: function () {
                        $(this).dialog("close");
                    }}]
        });
    });
	    var formblock;
    var forminputs;

    function prepare() {
        formblock = document.getElementById('formeditsettings');
        forminputs = formblock.getElementsByTagName('input');
    }
	    function select_all(name, value) {
        for (i = 0; i < forminputs.length; i++) {
            // regex here to check name attribute
            var regex = new RegExp(name, "i");
            if (regex.test(forminputs[i].getAttribute('name'))) {
                if (value == '1') {
                    forminputs[i].checked = true;
                } else {
                    forminputs[i].checked = false;
                }
            }
        }
    }
    if (window.addEventListener) {
        window.addEventListener("load", prepare, false);
    } else if (window.attachEvent) {
        window.attachEvent("onload", prepare)
    } else if (document.getElementById) {
        window.onload = prepare;
    }
</script>
<div style="display: none;" id="resemblancedes" title="درصد شباهت">
    <p>ما برای جلوگیری از تکرار متون در چت روم شما انواع تدابیر را اندیشه کرده ایم.</p>
    <p>در این روش ما به شما اجازه میدهیم که پیام های تکراری را بر اساس شباهتشان با هم شناسایی کنید</p>
    <p>درصورتی که درصد شباهت را 0 قرار دهید این امکان غیرفعال میشود</p>
    <p style="text-align: center;">با ما در لبه تکنولوژی باشید</p>
</div>
<section id="content" class="container_12 clearfix" data-sort=true>
    <h1 class="grid_12 margin-top no-margin-top-phone">تنظیمات</h1>
    <div class="grid_12">
        <div class="grid_12">
            <form class="box  validate" id="formeditsettings">
                <input type="hidden" name="token" value="<?php echo(session('changepw')); ?>" />
                <div class="header">
                    <h2>تنظیمات پیام ها</h2>
                </div>
                <div class="content tabbed">
                    <div class="row">
                        <label><strong>محدودیت سرعت:</strong></label>
                        <?php
                        $msgspeedEnable = $options['chat_speedmsg'] != '0' ? true : false;
                        ?>
                        <div>
                            فعال: <input type="checkbox" value="1" name="speedmsgenable" id="speedmsgenable" <?php if ($msgspeedEnable) echo('checked'); ?> />
                            <div id="msgdiv" style="display: none;">
                                فاصله دو پیام: <input name="speedmsg" id="speedmsg" pattern="^\d{1,10}$" value="<?php echo($options['chat_speedmsg']); ?>" type="text" style="text-align: center;width: 100px;" />ثانیه 
                            </div>


                        </div>
                    </div>
                    <div class="row">
                        <label><strong>تعداد پیام ها در عمومی:</strong></label>
                        <div>
                            <input type="text"  class="required" pattern="^\d{1,10}$" name="numsgmain" id="numsgmain" value="<?php echo($options['chat_numsgmain']); ?>" />
                        </div>
                    </div>
                    <div class="row">
                        <label><strong>ارسال پیام مهمانان در عمومی:</strong></label>
                        <?php
                        $sendmsguestEnable = $options['chat_sendmsguest'] == 'true' ? true : false;
                        ?>
                        <div>
                            فعال: <input type="checkbox" value="1" name="sendmsguest"  id="sendmsguest" <?php if ($sendmsguestEnable) echo('checked'); ?> />
                        </div>
                    </div>
                    <div class="row">
                        <label><strong>امتیاز لازم برای پیام در عمومی:</strong> <small> 0 = غیرفعال</small></label>
                        <div>
                            <input name="scoretosendmsg"  class="required" pattern="^\d{1,10}$" value="<?php echo($options['scoretosendmsg']); ?>" type="text" style="text-align: center;width: 100px;" />
                        </div>
                    </div>
                    <div class="row">
                        <label><strong>حداکثر شکلک ها در یک پیام:</strong></label>
                        <div>
                            <input name="SmiliespMsg"  class="required" pattern="^\d{1,10}$" value="<?php echo($options['SmiliespMsg']); ?>" type="text" style="text-align: center;width: 100px;" />
                        </div>
                    </div>
                    <div class="row">
                        <label><strong>تکرار متن:</strong></label>
                        <div><input type="text" name="repeatmsg"  id="repeatmsg" pattern="^(\d{1,10})$" style="padding-left: 0px;direction: ltr;font-family: sans-serif;text-align: center;" value="<?php echo($options['repeatmsg']); ?>" /></div>
                    </div>
                    <div class="row">
                        <label><strong>درصد شباهت:</strong> <small><a href="javascript:resemblancedesc();">[توضیحات]</a></small></label>
                        <div><input type="text" name="resemblance" id="resemblance"  pattern="^(\d{1,10})$" style="padding-left: 0px;direction: ltr;font-family: sans-serif;text-align: center;" value="<?php echo($options['resemblance']); ?>" /></div>
                    </div>
<div class="row">
                        <label><strong> فوروارد پیام:</strong></label>
                        <div>
                            فعال: <input type="checkbox" value="1" name="forwardtext"  id="forwardtext" <?php if ($options['forwardtext'] == 'true') echo('checked'); ?> />
                        </div>
                    </div>
                  <div class="row">
                        <label><strong>حذف پیام:</strong></label>
                        <div>
                            فعال: <input type="checkbox" value="1" name="delmsg"  id="delmsg" <?php if ($options['delmsg'] == 'true') echo('checked'); ?> />
                        </div>
                    </div>
                  <div class="row">
                        <label><strong>ویرایش پیام:</strong></label>
                        <div>
                            فعال: <input type="checkbox" value="1" name="editmsg"  id="delmsg" <?php if ($options['editmsg'] == 'true') echo('checked'); ?> />
                        </div>
                    </div>
                    <div class="row">
                        <label><strong>فوروراد پیام ها:</strong><small></small></label>
                        <div>
                            <?php
                            foreach ($usertype as $type) {
                                ?>
                                <input type="checkbox" name="allowforward[]" value="<?php echo($type['id']); ?>" <?php if (in_array($type['id'], $useroptions['allowforward'])) echo('checked'); ?> /> <?php echo($type['title']); ?>
                                <?php
                            }
                            ?>
                            <br>
                            <a style="color:red;cursor:pointer; " onClick="select_all('allowforward', '1');">انتخاب همه</a> | <a style="color:red;cursor:pointer; "  onClick="select_all('allowforward',
                                            '0');">
                                لغو انتخاب همه</a>
                            <br>
                        </div>
                    </div>
                    <div class="row">
                        <label><strong>حذف پیام ها:</strong><small></small></label>
                        <div>
                            <?php
                            foreach ($usertype as $type) {
                                ?>
                                <input type="checkbox" name="allowdelmsg[]" value="<?php echo($type['id']); ?>" <?php if (in_array($type['id'], $useroptions['allowdelmsg'])) echo('checked'); ?> /> <?php echo($type['title']); ?>
                                <?php
                            }
                            ?>
                            <br>
                            <a style="color:red;cursor:pointer; " onClick="select_all('allowdelmsg', '1');">انتخاب همه</a> | <a style="color:red;cursor:pointer; "  onClick="select_all('allowdelmsg',
                                            '0');">
                                لغو انتخاب همه</a>
                            <br>
                        </div>
                    </div>
<div class="row">
                        <label><strong>ویرایش پیام ها:</strong><small></small></label>
                        <div>
                            <?php
                            foreach ($usertype as $type) {
                                ?>
                                <input type="checkbox" name="alloweditmsg[]" value="<?php echo($type['id']); ?>" <?php if (in_array($type['id'], $useroptions['alloweditmsg'])) echo('checked'); ?> /> <?php echo($type['title']); ?>
                                <?php
                            }
                            ?>
                            <br>
                            <a style="color:red;cursor:pointer; " onClick="select_all('alloweditmsg', '1');">انتخاب همه</a> | <a style="color:red;cursor:pointer; "  onClick="select_all('alloweditmsg',
                                            '0');">
                                لغو انتخاب همه</a>
                            <br>
                        </div>
                    </div>
                    <div class="row">
                        <label><strong>مشاهده پیام های سنجاق شده:</strong><small></small></label>
                        <div>
                            <?php
                            foreach ($usertype as $type) {
                                ?>
                                <input type="checkbox" name="showpinmsg[]" value="<?php echo($type['id']); ?>" <?php if (in_array($type['id'], $useroptions['showpinmsg'])) echo('checked'); ?> /> <?php echo($type['title']); ?>
                                <?php
                            }
                            ?>
                            <br>
                            <a style="color:red;cursor:pointer; " onClick="select_all('showpinmsg', '1');">انتخاب همه</a> | <a style="color:red;cursor:pointer; "  onClick="select_all('showpinmsg',
                                            '0');">
                                لغو انتخاب همه</a>
                            <br>
                        </div>
                    </div>
					<div class="row">
                        <label><strong>سنجاق کردن پیام:</strong><small></small></label>
                        <div>
                            <?php
                            foreach ($usertype as $type) {
                                ?>
                                <input type="checkbox" name="allowpinmsg[]" value="<?php echo($type['id']); ?>" <?php if (in_array($type['id'], $useroptions['allowpinmsg'])) echo('checked'); ?> /> <?php echo($type['title']); ?>
                                <?php
                            }
                            ?>
                            <br>
                            <a style="color:red;cursor:pointer; " onClick="select_all('allowpinmsg', '1');">انتخاب همه</a> | <a style="color:red;cursor:pointer; "  onClick="select_all('allowpinmsg',
                                            '0');">
                                لغو انتخاب همه</a>
                            <br>
                        </div>
                    </div>
                </div>
            </form>
            <center> <button class="button blue flat block" onclick="edit();">ویرایش</button></center>
        </div>
    </div>
</section>
<?php include('footer.php'); ?>
