<?php
if(!session('id') or session('admin') == '0'){exit();}
adminpanel::check_Permission('exit', 'addvisualuser');

include("inc/classes/status.php");
include("inc/classes/names.php");

$token = isset($_POST['token']) ? $_POST['token'] : false;
if(!$token || $token != session('changepw'))die('لطفا صفحه خود را رفرش کنيد');


$count = isset($_POST['count']) ? safe::number($_POST['count']) : '';

if($count == '')exit;

if($count > 200){
	echo('Count Error! Invalid Count!');
	exit();
}

$roomid = isset($_POST['room']) ? safe::number($_POST['room']) : chatroom::defaultRoom();
if(!chatroom::checkroomid($roomid)){echo('roomid');return;}
$roomname = chatroom::getNameRoom($roomid);

$blacklist = array();
$types = array();
foreach($usertype as $type){
	if($type['admin'] != 0 OR $type['id'] == 1)continue;
	$types[] = $type['id'];
}

for($i = 0; $i < $count; $i++){


	$pick = names::pick($blacklist);
	
	$username = 'vMarshalRand_' . rand(1111,9999);
	
	$name = $pick['name'];
	$gender = $pick['gender'];
	
	$blacklist[] = $name;
	
	if(Users::Checkrunning($username)){
		while(true){
			$username = 'vMarshalRand_' . rand(1111,9999);
			if(!Users::Checkrunning($username))break;
		}
	}

	if(Users::Checkrunning($name, true)){
		while(true){
			$name = $name . '_' . rand(1111,9999);
			if(!Users::Checkrunning($name, true))break;
		}
	}
	
	shuffle($types);
	
	$type = $types[array_rand($types)];
	
	$firstTime  =  array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22);
	$lastTime   =  array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24);
	
	shuffle($firstTime);
	
	$firstTime = $firstTime[array_rand($firstTime)];
	$x = 0;
	foreach($lastTime as $lt){
		if($lt > $firstTime)continue;
		unset($lastTime[$x]);
		$x++;
	}
	
	shuffle($lastTime);
	
	$lastTime = $lastTime[array_rand($lastTime)];
	
	//$private    =  array('pmme','nopm');
	$private    =  'pmme';
	$os 	    =  array('pc','phone','tablet');
	$textstatus =  '';
	//$status     =  status::lists();
	$status     =  'online';
	
	shuffle($os);
	$os = $os[array_rand($os)];

	$user = Users::addUser($username, $name, $type, $gender);
	Users::addOnline($user, $username, $name, $gender, $type, '0', $roomid, $roomname, true);
	Users::Inputs($user, 'newvisualuser');
	Users::CheckProfile($user);

	$inputs = json_decode(db::get('onlines', "inputs", "`id`='$user'"), true);
	
	$inputs['autoanswer'] = false;
	$inputs['firstTime'] = $firstTime;
	$inputs['lastTime'] = $lastTime;
	$inputs['status_private'] = $private;
	$inputs['myOS'] = $os;
	$inputs['textstatus'] = $textstatus;

	$statusToChange = status::get($status);

	$inputs['simg'] = $statusToChange['simg'];
	$inputs['simgl'] = $statusToChange['simgl'];
	$inputs['stext'] = $statusToChange['stext'];

	$inputs = json_encode($inputs, JSON_UNESCAPED_UNICODE);
	db::update('onlines', "`inputs`='$inputs'", "`id`='$user'");

}
chatroom::addlog('9', "$count کاربر مجازی به صورت تصادفی اضافه کرد");
echo('ok');
?>
