<?php
/* * *********** GENERAL SETTINGS********************** */
if (isset($_POST['site_title'])) {
    $newvalue = safe::string($_POST['site_title']);
    db::update('options', "`value`='$newvalue'", "`name`='chat_site_title'");
}
if (isset($_POST['site_url'])) {
    $newvalue = safe::url($_POST['site_url']);
    db::update('options', "`value`='$newvalue'", "`name`='chat_site_url'");
}
if (isset($_POST['keywords'])) {
    $newvalue = safe::string($_POST['keywords']);
    db::update('options', "`value`='$newvalue'", "`name`='chat_keywords'");
}
if (isset($_POST['description'])) {
    $newvalue = safe::string($_POST['description']);
    db::update('options', "`value`='$newvalue'", "`name`='chat_description'");
}
if(isset($_POST['googel_meta'])){
    $newvalue = safe::string($_POST['googel_meta']);
    db::update('options', "`value`='$newvalue'", "`name`='googel_meta'");
}
if(isset($_POST['saman_meta'])){
    $newvalue = safe::string($_POST['saman_meta']);
    db::update('options', "`value`='$newvalue'", "`name`='saman_meta'");
}
if (isset($_POST['top_smilies'])) {
    $newvalue = safe::string($_POST['top_smilies']);
    db::update('options', "`value`='$newvalue'", "`name`='top_smilies'");
}
if (isset($_POST['method_online_sort']) && in_array($_POST['method_online_sort'], array('sort_score', 'sort_name', 'type_score', 'type_name', 'default'))) {
    $newvalue = safe::string($_POST['method_online_sort']);
    db::update('options', "`value`='$newvalue'", "`name`='method_online_sort'");
}

if (isset($_POST['defaultroom'])) {
    $newvalue = safe::number($_POST['defaultroom']);
    if (chatroom::checkroomid($newvalue)) {
        db::update('options', "`value`='$newvalue'", "`name`='chat_defaultroom'");
    }
}
if (isset($_POST['theme'])) {
    $newvalue = safe::filename($_POST['theme']);
    if (substr($newvalue, 0, 5) != 'admin') {
        if (is_dir('theme/' . $newvalue)) {
            db::update('options', "`value`='$newvalue'", "`name`='chat_theme'");
            db::update('options', "`value`='theme/$newvalue/'", "`name`='rootdirmanager'");
        }
    }
}

$smsoptions = json_decode($options['smsoptions'], true);
if (isset($_POST['sms_send_number'])) {
    $smsoptions['send_number'] = safe::string($_POST['sms_send_number']);
}
if (isset($_POST['sms_username'])) {
    $smsoptions['username'] = safe::string($_POST['sms_username']);
}
if (isset($_POST['sms_password'])) {
    $smsoptions['password'] = safe::string($_POST['sms_password']);
}
$smsoptions = json_encode($smsoptions, JSON_UNESCAPED_UNICODE);
db::update('options', "`value`='$smsoptions'", "`name`='smsoptions'");

if (isset($_POST['outputtype'])) {
    $newvalue = 'json';
    db::update('options', "`value`='$newvalue'", "`name`='outputtype'");
}
if (isset($_POST['enableipiran'])) {
    $newvalue = 'true';
    db::update('options', "`value`='$newvalue'", "`name`='enableipiran'");
} else {
    $newvalue = 'false';
    db::update('options', "`value`='$newvalue'", "`name`='enableipiran'");
}
if (isset($_POST['rejecttowww'])) {
    $newvalue = 'true';
    db::update('options', "`value`='$newvalue'", "`name`='rejecttowww'");
} else {
    $newvalue = 'false';
    db::update('options', "`value`='$newvalue'", "`name`='rejecttowww'");
}

if (isset($_POST['showPlayer'])) {
    $newvalue = 'true';
    db::update('options', "`value`='$newvalue'", "`name`='showPlayer'");
} else {
    $newvalue = 'false';
    db::update('options', "`value`='$newvalue'", "`name`='showPlayer'");
}
if(isset($_POST['chat_musicautoplay'])){
    $newvalue = 'true';
    db::update('options', "`value`='$newvalue'", "`name`='chat_musicautoplay'");
}else{
    $newvalue = 'false';
    db::update('options', "`value`='$newvalue'", "`name`='chat_musicautoplay'");
}
if (isset($_POST['mobiledetect'])) {
    $newvalue = 'true';
    db::update('options', "`value`='$newvalue'", "`name`='mobiledetect'");
} else {
    $newvalue = 'false';
    db::update('options', "`value`='$newvalue'", "`name`='mobiledetect'");
}
if (isset($_POST['roomstyle'])) {
    $newvalue = 'true';
    db::update('options', "`value`='$newvalue'", "`name`='roomstyle'");
} else {
    $newvalue = 'false';
    db::update('options', "`value`='$newvalue'", "`name`='roomstyle'");
}
if(isset($_POST['effect'])){
    $newvalue = 'true';
    db::update('options', "`value`='$newvalue'", "`name`='effect'");
}else{
    $newvalue = 'false';
    db::update('options', "`value`='$newvalue'", "`name`='effect'");
}
if (isset($_POST['enablechatfont'])) {
    $newvalue = 'true';
    db::update('options', "`value`='$newvalue'", "`name`='enablechatfont'");
} else {
    $newvalue = 'false';
    db::update('options', "`value`='$newvalue'", "`name`='enablechatfont'");
}
if (isset($_POST['shoavataronlist'])) {
    $newvalue = 'true';
    db::update('options', "`value`='$newvalue'", "`name`='shoavataronlist'");
} else {
    $newvalue = 'false';
    db::update('options', "`value`='$newvalue'", "`name`='shoavataronlist'");
}
if (isset($_POST['permitCPsmlies'])) {
    $newvalue = 'true';
    db::update('options', "`value`='$newvalue'", "`name`='permitCPsmlies'");
} else {
    $newvalue = 'false';
    db::update('options', "`value`='$newvalue'", "`name`='permitCPsmlies'");
}
if(isset($_POST['avatar'])) {
    if($_POST['avatar']==0 || $_POST['avatar']==1) {
        db::update('options', "`value`='" . $_POST['avatar'] . "'", "`name`='avatarrotate'");
    }
}
chatroom::reloadconfig();
chatroom::addlog('9', "تنظیمات را تغییر داد");
echo('ok');
?>