<?php include('header.php'); include('sidebar.php'); ?>
<section id="content" class="container_12 clearfix" data-sort=true>
	<ul class="stats not-on-phone">
		<li>
			<strong><?php echo(db::num('users')); ?></strong>
			<small>همه کاربران</small>
		</li>
		<li>
			<strong><?php echo(db::num('letters')); ?></strong>
			<small>همه نامه ها</small>
		</li>
		<li>
			<strong><?php echo(db::num('banns')); ?></strong>
			<small>اخراج ها</small>
		</li>
		<li>
			<strong><?php echo(db::num('smilies')); ?></strong>
			<small>همه شکلک ها</small>
		</li>
		<li>
			<strong><?php echo(db::num('badwords')); ?></strong>
			<small>کلمات زشت</small>
		</li>
		<li>
			<strong><?php echo(db::num('silents')); ?></strong>
			<small>کاربران خفه شده</small>
		</li>
		<li>
			<strong><?php echo(db::num('rooms')); ?></strong>
			<small>تعداد اتاق ها</small>
		</li>
		<li>
			<strong><?php echo(db::num('links')); ?></strong>
			<small>لینک ها</small>
		</li>
		<li>
			<strong><?php echo(db::num('adminpanel')); ?></strong>
			<small>تعداد پنل ها</small>
		</li>
	</ul>
	<h1 class="grid_12 margin-top no-margin-top-phone">پیشخوان</h1>
	<!--[if gt IE 8]>
		<!-->
		<div class="grid_12 center-elements">
			<div class="full-stats">
            <?php
            $time = strtotime("-9 day 00:00:00");
            $query = db::query("SELECT * FROM {prefix}stats_num WHERE `day` >=  $time ORDER BY `day` ASC");
            $days = array();
            $visits = array();
            $registers = array();
            while($row = mysqli_fetch_array($query)){
                $days[] = $row;
                $visits[] = $row['visit'];
                $registers[] = $row['visit'];
            }
            mysqli_free_result($query);
            
            ?>
            
				<div class="stat minichart" data-total="<?php echo(end($visits)); ?>" data-values="[<?php echo(implode(',', $visits)); ?>]" data-title="بازدید امروز" data-format="+0,0;-0,0" data-change="<?php echo(59); ?>">
				</div>
			</div>
			<div class="full-stats">
				<div class="stat minichart" data-total="<?php echo(end($registers)); ?>" data-values="[<?php echo(implode(',', $registers)); ?>]" data-title="عضویت ها" data-format="+0,0;-0,0" data-change=-6>
				</div>
			</div>
			<div class="full-stats">
				<div class="stat minichart" data-total=0 data-values="[0,0,0,1,2,1,-2,-2,-1]" data-title=Orders data-change=0>
				</div>
			</div>
		</div>
	<!--<![endif]-->
	<div class="grid_12">
        <div class="box">
        	<div class="header">
        		<h2>
        			<img class="icon" src="<?php echo(theme::url('img/icons/packs/fugue/16x16/newspaper.png')); ?>">
        			اطلاعیه ها
        		</h2>
        	</div>
        	<div class="content">
        		<div class="news">
                        <?php echo $secondFile = file_get_contents($options['newsrss']);?>
        		</div>
                     	</div>
                        </div>
		<div class="box">
			<div class="header">
				<h2>
					<img class="icon" src="<?php echo(theme::url('img/icons/packs/fugue/16x16/table.png')); ?>">
					آخرین بازدید ها
				</h2>
			</div>
			<div class="content">
				<div class="tabletools">
				</div>
				<table class="dynamic styled" data-table-tools='{"display":true}'>
					<thead>
						<tr>
							<th>آی پی</th>
							<th>مرورگر</th>
							<th>ساعت</th>
							<th>نام کاربری</th>
							<th>آدرس</th>
						</tr>
					</thead>
					<tbody>
                    <?php
                    $query = db::query("SELECT * FROM {prefix}stats ORDER BY `ahyir_stats`.`time` DESC LIMIT 0, 50");
                    while($row = mysqli_fetch_array($query)){
                        
                    ?>
						<tr class="gradeX">
							<td><?php echo($row['ip']); ?></td>
							<td><?php echo($row['browser']); ?></td>
							<td><?php echo(date("H:i:s", $row['time'])); ?></td>
							<td class="center"><?php echo($row['user'] == '0' ? 'مهمان' : Users::get('username', $row['user'])); ?></td>
							<td class="center"><?php echo($row['adress']); ?></td>
						</tr>
                        <?php
                        }
                        mysqli_free_result($query);
                        ?>
					</tbody>
				</table>
			</div>
		</div>
	</div>
</section>
<?php include('footer.php'); ?>