<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title><?php echo(site_title); ?> | تاریخچه</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" href="<?php echo(theme::url("css/fonts.css", $options['chat_history_theme'])); ?>" type="text/css" media="all">
<link rel="stylesheet" href="<?php echo(theme::url("css/history.css", $options['chat_history_theme'])); ?>" type="text/css" media="all">
<link rel="stylesheet" href="<?php echo(theme::url("css/responsiv.history.css", $options['chat_history_theme'])); ?>" type="text/css" media="all">
<script type="text/javascript" src="<?php echo(theme::url("js/jquery.js", $options['chat_history_theme'])); ?>"></script>
<script type="text/javascript" src="<?php echo(url('visit')); ?>"></script>
<script type="text/javascript">
var roomid = <?php echo($defualtroom); ?>;
var roompassword = '';
function getmsgs(room, page, password){
    $.ajax({
        type: "POST",
        url: '<?php echo(url('ajax/history')); ?>',
        data:{room:room, page:page,password:password},
        success: function(data) {
            switch(data){
                case('permissien'):alert('شما حق دسترسی به این اتاق را ندارید');break;
                case('getpass'):var newpass =  window.prompt('کلمه عبور:');if(newpass != '' && newpass != false && newpass != null){getmsgs(room, page, newpass);};break;
                case('pass'):alert('کلمه عبور اشتباه است');break;
                default:
                data = $(data);
                roomid = room;
                roompassword = password;
                $('#result').html('');
                $('#pages').html($('pages', data).text());
                data = $('msg',data);
                for(x=0;x!=data.length;x++){
                    addrow(data[x]);
                }
                break;
            }
            
        }
    });
    
}
function deletemsg(id){
    $.ajax({
        type: "POST",
        url: '<?php echo(url('ajax/history.del')); ?>',
        data:{id:id},
        success: function(data) {
            switch(data){
                case('ok'):$('#msg-'+id).slideUp(0);break;
                default:alert(data);break;
            }
            
        }
    });
}
function setpage(elem){
    getmsgs(roomid, elem.value, roompassword);
}
function addrow(data){
    $('#result').append($(data).text());
}
$(document).ready(function(){
    getmsgs(roomid, 1, '');
});
</script>
<style>
#logotop{
    background: url(<?php $options['thememanager'] = json_decode($options['thememanager'], true); echo(theme::url($options['thememanager']['history']['header']['src'], $options['chat_theme'])); ?>);
}
</style>
</head>
<body>
	<header>
    	<nav>
            <span class="pages">برو به صفحه :<span>
            	<select id="pages" onchange="setpage(this);"></select>
            </span>
            </span>
        </nav>
        <div class="order">
		 <?php if(chatroom::checkPermission('history')){ ?>
        	<span>نمایش پیام ها : <span class="showing">
			
			 <?php
                $query = db::query("SELECT * FROM {prefix}rooms");
                while($room = mysqli_fetch_array($query)){
                    $id = $room['id'];
                    $title=$room['title'];
                    echo("<a href=\"javascript:getmsgs('$id', '1');\">$title</a>&nbsp;|&nbsp;");
                }
                mysqli_free_result($query);
                ?>
				<a href="javascript:getmsgs('khososi', '1');">پیام های خصوصی</a>
            </span></span>
        </div>
    </header>
    <div class="content">
    	<div class="border rad3">
    	<table class="usershowing">
        	<thead>
            	<tr>
                	<td>ردیف<i class="icon-list-ul"></i></td>
                    <td>نام کاربری<i class="icon-smile"></i></td>
                    <td>تاریخ<i class="icon-time"></i></td>
                    <td>متن<i class="icon-align-center"></i></td>
                    <td>اتاق<i class="icon-randomv"></i></td>
                </tr>
            </thead>
            <tbody id="result">
            
            </tbody>
        </table>
        </div><br /><br /><br />
    </div>
	 <?php }else{ ?>
            <h2 style="text-align: center;text-shadow: 0 0 10px #333;font-family: Tahoma;direction: rtl;color: #004040;padding-top:20px">این قابلیت برای گروه کاربری شما غیرفعال شده است!</h2>

            <?php } ?>

       </div>	
    </div>
</body>
</html>