function show_pic_avatar(type) {
   var curr = parseInt($('#span_show_picture_current').html());
   var end = parseInt($('#span_show_picture_all').html());
   if (type == 'next') {
      if (curr < end) {
         $('#span_show_picture_current').html(curr + 1);
         $('#img_avatar_show').attr('src', $config.avatar_dir + $config.avatars[curr]);
         $('#now_profile_avatar').val($config.avatars[curr]);
      }
   } else if (type == 'prev') {
      if (curr > 1) {
         $('#span_show_picture_current').html(curr - 1);
         $('#img_avatar_show').attr('src', $config.avatar_dir + $config.avatars[curr - 2]);
         $('#now_profile_avatar').val($config.avatars[curr - 2]);
      }
   }
}
function set_avatar(){
   $.ajax({
      type:"POST",
      url:"/ajax/chat.profile.avatars",
      data:{
         action:"set_avatar",
         avatar:$("#now_profile_avatar").val()
      },
      success:function(e){
         if(e==="refresh"){document.location.reload();}else{alert(e);}
      },
      error:function(){alert("error: check internet connection");}
   });
}
function delete_avatar(){
   $.ajax({
      type:"POST",
      url:"/ajax/chat.profile.avatars",
      data:{
         action:"delete_avatar",
         avatar:$("#now_profile_avatar").val()
      },
      success:function(e){
         if(e==="refresh"){document.location.reload();}else{alert(e);}
      },
      error:function(){alert("error: check internet connection");}
   });
}
$('.panel-default .panel-body img').each(
function(){
	var width = $(this).width();
	var height = $(this).height();
	if(width > 500){
		$(this).width(500);
	}
	if(height > 500){
		$(this).height(500);
	}
});
$(function() {
	$("textarea#postval").sceditor({
		plugins: 'bbcode',
		width: '100%',
		style: $config['style_sceeditor'],
		locale: "fa",
		rtl: true,
		height: "100px",
		width: "98%",
		toolbarExclude : "source,print,table,subscript,superscript,quote,font",
		emoticonsRoot : "/theme/microblog/editor/themes/",
		/*
		emoticons :  {   
				dropdown: $config['emoticons']
			},*/
		resizeWidth: false
	});
});
$(function () {
  $('.sceditor-button').tooltip()
})
$(function () {
  $('[data-toggle="tooltip"]').tooltip();
});

$(function () {
var $leftp = 0;
  $(".info").affix({
		offset: { 
			top: 295
		}
	});
	var size1,size2;
	var containerleft = $('.container').position().left>0?$('.container').position().left:$('.container').offset().left;
	size1 = $(window).width();
	$(window).resize(function () {
				$('.info.affix').width($('.info').width());
				$('.info.affix').css('left',containerleft+$('.container').width()-$('.info.affix').width()+15-2);
				containerleft = $('.container').position().left>0?$('.container').position().left:$('.container').offset().left;
			});
	$(".info").on('affixed.bs.affix', function(){
		$('.info.affix').width(Math.floor($('.content').width()*23/100)-15);
		$leftp = $('.info.affix').position().left;
	});
	$(".info").on('affix.bs.affix', function(){
		$('.info.affix').width(Math.floor($('.content').width()*23/100)-15);
	});
	$( window ).scroll(function() {
		if($leftp>0 && jQuery(this).scrollLeft()!=0)
		$('.info.affix').css('left',$leftp - jQuery(this).scrollLeft());
		
		
		if(jQuery(this).scrollTop()!=0){
		$('.info.affix').css('left',containerleft+$('.container').width()-$('.info.affix').width()+30-2 - jQuery(this).scrollLeft());
		$('.info.affix').width(Math.floor($('.content').width()*23/100)-15);
		}
	});
	
	if($( ".info" ).hasClass( "affix" ))$('.info.affix').width(Math.floor($('.content').width()*23/100)-15);
	
});
		
$(document).ready(function(){

	var track_load = 1;
	var loading  = false;
	var total_groups = $config['total_groups'];
	
	$(window).scroll(function() {
		
	//	if($(window).scrollTop() + $(window).height() == $(document).height())
		if($(window).scrollTop() >= $(document).height() - $(window).height() - 700)
		{
			
			if(track_load <= total_groups && loading==false)
			{
				loading = true;
				//$('.animation_image').show();
				
				$.post($config['scroll_loding_url'],{'group_no': track_load,'id': $config['profile_id']}, function(data){
									
					$("#results").append(data);

				//	$('.animation_image').hide();
					
					track_load++;
					loading = false; 
				
				}).fail(function(xhr, ajaxOptions, thrownError) {
					
					alert(thrownError);
				//	$('.animation_image').hide();
					loading = false;
				
				});
				
			}
		}
	});

	$('.cover').on('click', function(e) { 
	   if( e.target !== this ) 
		   return ;
		else{
		$('.bs-cover-lg').modal('show'); 
		}
	});
	
	//$("#mytarh-editor").cleditor();			
	
	$( "#autocomplete" ).autocomplete({
		source: "/ajax/chat.profile.search",
		minLength: 2,
		select: function( event, ui ) {
			if(ui.item)location.href = '/profile/'+ui.item.id;
		},
		search: function () {
			$("#loading-user").show();
			$(".track3").parent().remove();
			$(".ui-autocomplete").css("padding-right","0");
		},
		response: function () {
			$("#loading-user").hide();
			$('.ui-autocomplete').enscroll({
				showOnHover: false,
				verticalTrackClass: 'track3',
				verticalHandleClass: 'handle3',
				zIndex: 1050
			});
		}
	});
		
	$("#postform").submit(function(e){
		e.preventDefault();
		var content = $("#postval").val();
		if((/^\s*$/).test(content)){
			return false;
		}
		$('#sendpostbtn').attr('disabled', true);
		$.ajax({
			  type: "POST",
			  url: "/ajax/chat.profile.post",
			  data: {'post' : content},
			  datatype: 'json',
			  success: function (e) {
				  if(e['type'] == 'success'){
					  $(".sceditor-container iframe").contents().find("body").text("");
					  GetLastPost();
				  }else{
					  swal(e['text'],'',e['type']);
				  }
				  setTimeout(function(){
					$('#sendpostbtn').removeAttr('disabled');
				  }, 2000);
				  
			  }
		 });
	});

	$("#messageform").submit(function(e){
		e.preventDefault();
		var content = $("#messageval").val();
		$.ajax({
			  type: "POST",
			  url: "/ajax/chat.profile.message",
			  data: {'post' : content, 'id' : $config['profile_id']},
			  datatype: "json",
			  success: function (e) {
				  swal(e['text'],'',e['type']);
			  }
		 });
		 return false;
	});
		
		$("#jquery_jplayer_1").jPlayer({
			ready: function () {
				$(this).jPlayer("setMedia", {
					title: $config['music_title'],
					mp3: $config['music_url']
				});
			},
			swfPath: $config['jplayer'],
			supplied: "mp3",
			wmode: "window",
			useStateClassSkin: true,
			autoBlur: false,
			smoothPlayBar: true,
			keyEnabled: true,
			remainingDuration: true,
			toggleDuration: true
		});
		
		
		
		$('#myfriends .more').click(function(){
			$('.bs-more .modal-body .friends').load('/ajax/chat.profile.friendslist', { userid: $config['profile_id'] },function(result){
				$('.bs-more h4.modal-title').html("لیست کامل دوستان");
				$('.bs-more').modal('show');
			});
		});
		$('#helpsec').click(function(){
			$('#helpinfo').slideDown(1000);
			$('#helpsec').hide(1000);
			$('#closehelpsec').show(1000);
		});
		$('#closehelpsec').click(function(){
			$('#helpinfo').slideUp(1000);
			$('#closehelpsec').hide(1000);
			$('#helpsec').show(1000);
		});

		$('#userinfo .more').click(function(){
				$('.userinfo-more h4.modal-title').html("توضیحات");
				$('.userinfo-more').modal('show');
		});	
		$('#mymusic .more-right').click(function(){
				$('.comments-mymusic h4.modal-title').html("آهنگ مورد علاقه");
				$('.comments-mymusic').modal('show');
		});	
		
		$("#editpost").submit(function(e){
			e.preventDefault();
			var content = $(".bs-editpost-lg #editposttext").val();
			var id = $(".bs-editpost-lg #editpostid").val();
			$.ajax({
				  type: "POST",
				  url: "/ajax/chat.profile.editpost",
				  data: {'post' : content, 'action' : "update", 'pid' : id},
				  datatype: 'json',
				  success: function (e) {
					  $("#editpostid").val("");
					  $("#editposttext").val("");
					  $("#panelid-"+id+" .panel-body span").html(e['html']);
					  $('.bs-editpost-lg').modal('toggle'); 
					  swal(e['text'],'',e['type']);
				  }
			 });
		});
});
	
function editpost(id){
	$('.bs-editpost-lg #editpostid').val(id);

	$.ajax({
		  type: "POST",
		  url: "/ajax/chat.profile.editpost",
		  data: {'action' : "get", 'pid' : id},
		  datatype: 'json',
		  success: function (e) {
			  if(e['type'] == 'success'){
				$('.bs-editpost-lg #editposttext').val(e['text']);
				$('.bs-editpost-lg').modal('show'); 
			  }
			  if(e['type'] == 'error'){
				  swal({
					  title: "اررور",
					  text: "پست یافت نشد.",
					  type: "warning",
					  showCancelButton: false,
					  confirmButtonColor: "#DD6B55",
					  confirmButtonText: "OK",
					  closeOnConfirm: true
					});
				}
		  }
	});
}

function postlike(id,action){
	$.ajax({
		  type: "POST",
		  url: "/ajax/chat.profile.postlike",
		  data: {'action': action, 'pid': id, 'trust': 'false'},
		  datatype: 'json',
		  success: function (e) {
			  if(e['type'] == 'error'){
				  if(e['text'] == 'me'){
					swal('شما نمیتوانید مطالب خود را لایک یا دیسلایک کنید','','error');
					return false;
				  }
				  swal({
					  title: "آیا شما مطمئن هستید؟",
					  text: e['text'],
					  type: "warning",
					  showCancelButton: true,
					  confirmButtonColor: "#DD6B55",
					  confirmButtonText: "بله پاک کن !",
					  closeOnConfirm: false
					},
					function(){
						$.ajax({
							  type: "POST",
							  url: "/ajax/chat.profile.postlike",
							  data: {'action': action, 'pid': id, 'trust': 'true'},
							  datatype: 'json',
							  success: function (e) {
								   swal(e['text'], "", e['type']);
							  }
						 });	
					});
			  }else{
				 swal(e['text'], "", e['type']); 
			  }
		  }
	 });	
}
function UserLike(id,action,location){
	$.ajax({
		  type: "POST",
		  url: "/ajax/chat.profile.userlike",
		  data: {'action': action, 'pid': id, 'trust': 'false', 'location': location},
		  datatype: 'json',
		  success: function (e) {
			if(e['text'] == 'me'){
				swal('این بخش برای شماست و نمیتوانید لایک یا دیسلایکش کنید','','error');
				return false;
			  }	
			  if(e['type'] == 'errors'){
				  swal({
					  title: "آیا شما مطمئن هستید؟",
					  text: e['text'],
					  type: "warning",
					  showCancelButton: true,
					  confirmButtonColor: "#DD6B55",
					  confirmButtonText: "بله پاک کن !",
					  closeOnConfirm: false
					},
					function(){
						$.ajax({
							  type: "POST",
							  url: "/ajax/chat.profile.userlike",
							  data: {'action': action, 'pid': id, 'trust': 'true', 'location': location},
							  datatype: 'json',
							  success: function (e) {
								   swal(e['text'], "", e['type']);
							  }
						 });	
					});
			  }else{
				 swal(e['text'], "", e['type']); 
			  }
		  }
	 });	
}
function ShowCommentsProfile(id,action){
	var time = action.replace('-','');
	if(time != 'cover' && time != 'info' && time != 'avatar' && time != 'music' && time != ''){
		ShowW8("showw8-" + id);
		lasttime = time;
		action = '';
	}else{ 
		lasttime = 0;
		ShowW8("append-comments-" + action + id);
	}
	$.ajax({
		  type: "POST",
		  url: "/ajax/chat.profile.getcomment",
		  data: {'pid': id, 'action': action.replace('-',''), 'time': lasttime},
		  success: function (result) {
			  if(lasttime == 0){
				  $("#append-comments-" + action + id).html(result); 
				  lasttime = $('#append-comments-' + id).children().last().attr('id');
				   var this_time = lasttime.split('-');
				  var onClick = "ShowCommentsProfile('" + id + "','" + this_time[1] + "')";
				  $("#reloadtime-" + id).attr("onclick",onClick);
			  }else{
				  $("#showw8-" + id).html("");
				  $("#append-comments-" + action + id).append(result);
				  while($("#append-comments-" + id + " #cmid-now").length){
					 $("#append-comments-" + id + " #cmid-now").remove();  
				  } 
				  lasttime = $('#append-comments-' + id).children().last().attr('id');
				  var this_time = lasttime.split('-');
				  var onClick = "ShowCommentsProfile('" + id + "','" + this_time[1] + "')";
				  $("#reloadtime-" + id).attr("onclick",onClick);
			  }
				
		  }
	 });
}
function ShowReplies(pid, cid){
	ShowW8("show-" + cid);
	 $.ajax({
		  type: "POST",
		  url: "/ajax/chat.profile.getreplies",
		  data: {'pid': pid, 'cid': cid},
		  success: function (result) {
				 $("#split-" + cid).html('<br><hr>');
				 $("#show-" + cid).html(result);
		  }
	 });
}
function PostReport(pid){
	$.ajax({
		  type: "POST",
		  url: "/ajax/chat.profile.postreport",
		  data: {'pid': pid, 'proid': $config['profile_id'] },
		  datatype: 'json',
		  success: function (e) {
			   swal(e['text'], '', e['type']);
		  }
	 });	
}
function ProfilePoint(action){
	if($config['profile_id'] == $config['myid']){
		return false;
	}
	$.ajax({
		  type: "POST",
		  url: "/ajax/chat.profile.like",
		  data: {'action' : action, 'id': $config['profile_id'], 'trust' : 'false'},
		  datatype: 'json',
		  success: function (e) {
			   	if(e['type'] == 'errors'){
				  swal({
					  title: "آیا شما مطمئن هستید؟",
					  text: e['text'],
					  type: "warning",
					  showCancelButton: true,
					  confirmButtonColor: "#DD6B55",
					  confirmButtonText: "بله پاک کن !",
					  closeOnConfirm: false
					},
					function(){
						$.ajax({
							  type: "POST",
							  url: "/ajax/chat.profile.like",
							  data: {'action': action, 'id': $config['profile_id'], 'trust': 'true'},
							  datatype: 'json',
							  success: function (e) {
								  if(e['type'] == 'success'){
									 	if(action == 'like'){
											swal(e['text'], "", e['type']);
											var getValueLike = $("#ValueLikeUser").text();
											$("#ValueLikeUser").html(parseInt(getValueLike) - 1);
									   }else{
										   swal(e['text'], "", e['type']);
										   var getValueDisLike = $("#ValueDisLikeUser").text();
										   getValueDisLike = getValueDisLike.replace('-','');
										   $("#ValueDisLikeUser").html('-'+(parseInt(getValueDisLike) - 1));
									   }  
								  }else{
									  swal(e['text'], "", e['type']);
								  }

							  }
						 });	
					});
			  }else if(e['type'] == 'success'){
				if(action == 'like'){
					var getValueLike = $("#ValueLikeUser").text();
					$("#ValueLikeUser").html(parseInt(getValueLike) + 1);
				}else{
					var getValueDisLike = $("#ValueDisLikeUser").text();
					getValueDisLike = getValueDisLike.replace('-','');
					$("#ValueDisLikeUser").html('-'+(parseInt(getValueDisLike) + 1));
				}
			  }else if(e['type'] == 'error'){
				  swal(e['text'], "", e['type']);
			  }
		  }
	 });	
}
function ProfileDeletePost(pid){
	$.ajax({
		  type: "POST",
		  url: "/ajax/chat.profile.deletepost",
		  data: {'pid' : pid},
		  datatype: 'json',
		  success: function (e) {
				if(e['type'] == 'success'){
					$("#panelid-" + pid).toggle(2000);
					//swal(e['text'],'',e['type']);
				}
		  }
	 });	
}
function BlackList(action){
	$.ajax({
		  type: "POST",
		  url: "/ajax/chat.profile.blacklist",
		  data: {'pid' : $config['profile_id'], 'action': action},
		  datatype: 'json',
		  success: function (e) {
				if(e['type'] == 'success'){
					swal(e['text'],'',e['type']);
					var actions = action == 'add' ? 'BlackList("del")' : 'BlackList("add")';
					$("#blacklistmanager").attr("onclick",actions);
					var text = action == 'del' ? '<font color="red">قطع ارتباط</font>' : '<font color="green">برقراری ارتباط</font>'
					$("#blacklistmanager").html(text);
				}else{
					swal(e['text'],'',e['type']);
				}
		  }
	 });	
}
function DeleteOfflineMessage(){
	$.ajax({
		  type: "POST",
		  url: "/ajax/chat.offline.message",
		  data: {'profile' : 'true', 'del': 'true'},
		  success: function (e) {
				swal(e,'','success');
		  }
	 });	
}
function DeleteComment(pid,cid,uid,time,action){
	$.ajax({
		  type: "POST",
		  url: "/ajax/chat.profile.deletecomment",
		  data: {'pid' : pid, 'uid': uid, 'cid': cid, 'time': time, 'action': action},
		  datatype: 'json',
		  success: function (e) {
				switch(e['type']){
					case 'success':
						$("#" + cid).toggle(2000);
					break;
					case 'error':
						swal(e['text'], '', 'error');
					break;
					default:
						alert(e);
					break;
				}
		  }
	 });	
}
function DeleteCommentReply(pid,cid,ccid,uid,time){
	$.ajax({
		  type: "POST",
		  url: "/ajax/chat.profile.deletereplies",
		  data: {'pid' : pid, 'uid': uid, 'cid': cid, 'ccid': ccid, 'time': time},
		  datatype: 'json',
		  success: function (e) {
				switch(e['type']){
					case 'success':
						$("#panelid-"  + pid + " #replyid-" + cid).toggle(2000);
					break;
					case 'error':
						swal(e['text'], '', 'error');
					break;
					default:
						alert(e);
					break;
				}
		  }
	 });	
}
function ProfileReset(action){
	if(action == 'all'){
		var check = confirm('آیا شما مطمئن هستید؟\n با این کار کل مطالب ارسالی کاربر از جمله آواتار -اطلاعات شخصی و... پاک خواهد شد و قابل برگشت نیستند!');
		if(!check)return;
	}
	$.ajax({
		  type: "POST",
		  url: "/ajax/mods.profilereset",
		  data: {'uid' : $config['profile_id'], 'action': action, 'token': $config['token'] },
		  success: function (e) {
			  if(e == 'disable' || e == 'enable'){
					var actions = action == 'disable' ? 'ProfileReset("enable")' : 'ProfileReset("disable")';
					$("#profileresetmanager").attr("onclick",actions);
					var text = action == 'disable' ? '<font color="green">فعال کردن پروفایل</font>' : '<font color="red">غیر فعال کردن پروفایل</font>';
					$("#profileresetmanager").html(text);
			  }else{
				  alert(e);
			  }
		  }
	 });	
}
function ProfilePostManager(pid,action){
	$.ajax({
		  type: "POST",
		  url: "/ajax/chat.profile.postmanager",
		  data: {'id': $config['profile_id'], 'pid': pid, 'action': action},
		  datatype: 'json',
		  success: function (e) {
			  if(e['type'] == 'success'){
					var actions = action == '1' ? 'ProfilePostManager("' + pid + '", "0")' : 'ProfilePostManager("' + pid + '", "1")';
					$("#postmanager-" + pid).attr("onclick",actions);
					var text = action == '1' ? '<center><font color="green">فعال کردن نظرات</font></center>' : '<center><font color="red">غیر فعال کردن نظرات</font></center>';
					$("#postmanager-" + pid).html(text);
					if(action == '1'){
						$("#panelid-" + pid + " .panel-heading").css('background-color', '#FFE6E6');
						$("#panelid-" + pid + " .panel-footer").css('background-color', '#FFE6E6');
						$("#hidden-show-post-" + pid).css('display', 'none');
					}else{
						$("#panelid-" + pid + " .panel-heading").css('background-color', '#f5f5f5');
						$("#panelid-" + pid + " .panel-footer").css('background-color', '#f5f5f5');
						$("#hidden-show-post-" + pid).css('display', 'block');
					}
			  }else{
				  swal(e['text'],'',e['type']);
			  }
		  }
	 });	
}
function SendReques2friend(action){
	var check = confirm('آیا شما مطمئن هستید؟');
	if(!check)return;
	var file = action  == 'add' ? 'chat.addme2friendlist' : 'chat.showmyfriends';
	var del = action  == 'add' ? 'false' : 'true';
	$.ajax({
		  type: "POST",
		  url: "/ajax/" + file,
		  data: {'id' : $config['profile_id'], 'del': del, 'location': 'profile' },
		  success: function (e) {
				alert(e);
		  }
	 });	
}
function GetLastPost(){
	ShowW8('show-ajax-w8');
	$.ajax({
		  type: "POST",
		  url: "/ajax/chat.profile.getlastpost",
		  data: {'id' : $config['profile_id'] },
		  success: function (e) {
			  $("#show-ajax-w8").html('');
			  $("#getajaxposts").after(e);
		  }
	 });	
}
function ProfileCountPlayedMusic(url){
	$.ajax({
		  type: "POST",
		  url: "/ajax/chat.profile.counter",
		  data: {'pid' : $config['profile_id'] },
		  success: function (e) {
			  window.open(url)
		  }
	 });	
}
function ShowW8(id){
	$("#" + id).html('<center><img src="' + $config['ajax_loader'] + '"></center>');
}
function ShowLDUser(id,action,location){
	var text = action == 'liked' ? 'کاربرانی که پسندیدند' : 'کاربرانی که نپسندیدند';
	$('.ldposts .modal-body .friends').load('/ajax/chat.profile.showlikes', { 'action': action, 'id': id, 'loc': location },function(result){
		$('.ldposts h4.modal-title').html(text);
		$('.ldposts').modal('show');
	});
}
function replaceSmileis(string, reverse) {
  var regex; 
  	var find = ["sNhkq-1","vMqtt-2","f4MwE-3","yePUm-4","1b0pv-5","U9gid-6","pnjJe-7","KVELL-8","Vm3tj-9","ZJe85-10","ekyQu-11","UEdc9-12","vZRYP-13","0PoEA-14","SbDaY-15","RXP0w-16","YWVcg-17","u9TnZ-18","1y85t-19","D0gT2-20","JqeFr-21","eRAoW-22","tUpaW-23","a0pAR-24","TLxPW-25","hwrVV-26","0uLcS-27","yqgPB-28","dewdf-29","1OJVe-30","HQv3e-31","AnXJA-32","d01CK-33","U6V8p-34","CL1NV-35","VGXjz-36","sjUCp-37","A9TXy-38","ysudq-39","WYmty-40","j6RZ0-41","weWrq-42","NqExQ-43","QvcvE-44","vg7is-45","NOWe9-46","p9SQ1-47","tmTz6-48","hctOi-49","9Vixm-50","bCqiG-51","APwMx-52","3S8A7-53","P8y7S-54","EnbjX-55","5XiWX-56","EkzKo-57","j0GiG-58","s6PS8-59","FhYhC-60","JLNOh-61","9iKZ7-62","bhqz9-63","ePzwL-64","RqhgF-65","T3OgC-66","IB2cd-67","S1wHd-68","7ajK2-69","0eWIk-70","El76n-71","1XQ4h-72","Nst9M-73","xc8u7-74","rptrg-75","VwkN6-76","3KCAJ-77","72x54-78","cy2hW-79","GW7ic-80","xtIIF-81","ebo9g-82","4QL7e-83","C64tp-84","ZhSBW-85","CnCUK-86","s3cDJ-87","8HaKq-88","Kb2Bp-89","46O2I-90","3g5dH-91","CEH3Z-92","KUYAR-93","1ViFe-94","XFeab-95","VaLtD-96","snQoA-97","XBZhS-98","LYkos-99","i9ErM-100","DBUdt-101","2hzTB-102","Hhz8t-103","fPPqL-104","D4t6c-105","gHZbS-106","2YCdE-107","aPRd0-108","4eywh-109","4Kb0O-110","PJh3T-111","aFflr-112","Nxrs7-113","P0yPn-114","BwplU-115","19Pg8-116","y4PEx-117","B0VYB-118","aYclP-119"];	
	var replaced  = ["<img src=/theme/microblog/images/smiley/1.gif>","<img src=/theme/microblog/images/smiley/2.gif>","<img src=/theme/microblog/images/smiley/3.gif>","<img src=/theme/microblog/images/smiley/4.gif>","<img src=/theme/microblog/images/smiley/5.gif>","<img src=/theme/microblog/images/smiley/6.gif>","<img src=/theme/microblog/images/smiley/7.gif>","<img src=/theme/microblog/images/smiley/8.gif>","<img src=/theme/microblog/images/smiley/9.gif>","<img src=/theme/microblog/images/smiley/10.gif>","<img src=/theme/microblog/images/smiley/11.gif>","<img src=/theme/microblog/images/smiley/12.gif>","<img src=/theme/microblog/images/smiley/13.gif>","<img src=/theme/microblog/images/smiley/14.gif>","<img src=/theme/microblog/images/smiley/15.gif>","<img src=/theme/microblog/images/smiley/16.gif>","<img src=/theme/microblog/images/smiley/17.gif>","<img src=/theme/microblog/images/smiley/19.gif>","<img src=/theme/microblog/images/smiley/18.gif>","<img src=/theme/microblog/images/smiley/20.gif>","<img src=/theme/microblog/images/smiley/21.gif>","<img src=/theme/microblog/images/smiley/22.gif>","<img src=/theme/microblog/images/smiley/23.gif>","<img src=/theme/microblog/images/smiley/24.gif>","<img src=/theme/microblog/images/smiley/25.gif>","<img src=/theme/microblog/images/smiley/26.gif>","<img src=/theme/microblog/images/smiley/27.gif>","<img src=/theme/microblog/images/smiley/28.gif>","<img src=/theme/microblog/images/smiley/29.gif>","<img src=/theme/microblog/images/smiley/30.gif>","<img src=/theme/microblog/images/smiley/31.gif>","<img src=/theme/microblog/images/smiley/32.gif>","<img src=/theme/microblog/images/smiley/33.gif>","<img src=/theme/microblog/images/smiley/37.gif>","<img src=/theme/microblog/images/smiley/38.gif>","<img src=/theme/microblog/images/smiley/34.gif>","<img src=/theme/microblog/images/smiley/35.gif>","<img src=/theme/microblog/images/smiley/36.gif>","<img src=/theme/microblog/images/smiley/39.gif>","<img src=/theme/microblog/images/smiley/40.gif>","<img src=/theme/microblog/images/smiley/41.gif>","<img src=/theme/microblog/images/smiley/42.gif>","<img src=/theme/microblog/images/smiley/43.gif>","<img src=/theme/microblog/images/smiley/44.gif>","<img src=/theme/microblog/images/smiley/45.gif>","<img src=/theme/microblog/images/smiley/46.gif>","<img src=/theme/microblog/images/smiley/47.gif>","<img src=/theme/microblog/images/smiley/48.gif>","<img src=/theme/microblog/images/smiley/49.gif>","<img src=/theme/microblog/images/smiley/50.gif>","<img src=/theme/microblog/images/smiley/51.gif>","<img src=/theme/microblog/images/smiley/52.gif>","<img src=/theme/microblog/images/smiley/53.gif>","<img src=/theme/microblog/images/smiley/54.gif>","<img src=/theme/microblog/images/smiley/55.gif>","<img src=/theme/microblog/images/smiley/56.gif>","<img src=/theme/microblog/images/smiley/57.gif>","<img src=/theme/microblog/images/smiley/58.gif>","<img src=/theme/microblog/images/smiley/59.gif>","<img src=/theme/microblog/images/smiley/60.gif>","<img src=/theme/microblog/images/smiley/61.gif>","<img src=/theme/microblog/images/smiley/62.gif>","<img src=/theme/microblog/images/smiley/63.gif>","<img src=/theme/microblog/images/smiley/64.gif>","<img src=/theme/microblog/images/smiley/65.gif>","<img src=/theme/microblog/images/smiley/66.gif>","<img src=/theme/microblog/images/smiley/67.gif>","<img src=/theme/microblog/images/smiley/68.gif>","<img src=/theme/microblog/images/smiley/69.gif>","<img src=/theme/microblog/images/smiley/70.gif>","<img src=/theme/microblog/images/smiley/71.gif>","<img src=/theme/microblog/images/smiley/72.gif>","<img src=/theme/microblog/images/smiley/73.gif>","<img src=/theme/microblog/images/smiley/74.gif>","<img src=/theme/microblog/images/smiley/75.gif>","<img src=/theme/microblog/images/smiley/76.gif>","<img src=/theme/microblog/images/smiley/77.gif>","<img src=/theme/microblog/images/smiley/78.gif>","<img src=/theme/microblog/images/smiley/79.gif>","<img src=/theme/microblog/images/smiley/100.gif>","<img src=/theme/microblog/images/smiley/101.gif>","<img src=/theme/microblog/images/smiley/102.gif>","<img src=/theme/microblog/images/smiley/103.gif>","<img src=/theme/microblog/images/smiley/104.gif>","<img src=/theme/microblog/images/smiley/105.gif>","<img src=/theme/microblog/images/smiley/106.gif>","<img src=/theme/microblog/images/smiley/107.gif>","<img src=/theme/microblog/images/smiley/108.gif>","<img src=/theme/microblog/images/smiley/109.gif>","<img src=/theme/microblog/images/smiley/110.gif>","<img src=/theme/microblog/images/smiley/111.gif>","<img src=/theme/microblog/images/smiley/112.gif>","<img src=/theme/microblog/images/smiley/113.gif>","<img src=/theme/microblog/images/smiley/114.gif>","<img src=/theme/microblog/images/smiley/115.gif>","<img src=/theme/microblog/images/smiley/120.gif>","<img src=/theme/microblog/images/smiley/121.gif>","<img src=/theme/microblog/images/smiley/122.gif>","<img src=/theme/microblog/images/smiley/123.gif>","<img src=/theme/microblog/images/smiley/124.gif>","<img src=/theme/microblog/images/smiley/125.gif>","<img src=/theme/microblog/images/smiley/126.gif>","<img src=/theme/microblog/images/smiley/127.gif>","<img src=/theme/microblog/images/smiley/128.gif>","<img src=/theme/microblog/images/smiley/129.gif>","<img src=/theme/microblog/images/smiley/130.gif>","<img src=/theme/microblog/images/smiley/131.gif>","<img src=/theme/microblog/images/smiley/132.gif>","<img src=/theme/microblog/images/smiley/133.gif>","<img src=/theme/microblog/images/smiley/134.gif>","<img src=/theme/microblog/images/smiley/135.gif>","<img src=/theme/microblog/images/smiley/136.gif>","<img src=/theme/microblog/images/smiley/137.gif>","<img src=/theme/microblog/images/smiley/138.gif>","<img src=/theme/microblog/images/smiley/139.gif>","<img src=/theme/microblog/images/smiley/140.gif>","<img src=/theme/microblog/images/smiley/141.gif>","<img src=/theme/microblog/images/smiley/pirate_2.gif>","<img src=/theme/microblog/images/smiley/transformer_v2.gif>"];
  for (var i = 0; i < find.length; i++) {
		if(reverse){
			regex = new RegExp(replaced[i], "g");
			string = string.replace(regex, find[i]);
		}else{
			regex = new RegExp(find[i], "g");
			string = string.replace(regex, replaced[i]);
		}
  }
  return string;
}
function SendCommentUser(id,action){
	ShowW8("showw8-" + action + id);
	var content = $("#postid-"+ action + id+" textarea").val();
	if((/^\s*$/).test(content)){
		$("#showw8-" + action + id).html("");
		return false;
	}
	var content_replaced = replaceSmileis(content, false);
	$.ajax({
		  type: "POST",
		  url: "/ajax/chat.profile.sendcomment",
		  data: {'comment' : content, 'pid' : id, 'action': action.replace('-','')},
		  success: function (e) {
			  if(e['type'] == 'success'){
				  $("#showw8-" + action + id).html("");
				  var commenthtml= '<div id="cmid-now" class="row"><div class="col-lg-2"><a target="_blank" href="' + $config['myid'] + '"><img class="on" src="' + $config['myavatar'] + '"></a></div><div class="col-lg-10"><div class="panel panel-default arrow right"><div class="panel-body"><div class="comment-user"><b>' + $config['myname'] + '</b><div class="pull-left">هم اکنون</div></div><span><div class="break-word">'+content_replaced+'</div></span></div></div></div></div>';
				  $("#append-comments-"+ action +id ).append(commenthtml);
				  $("#postid-"+ action +id+" textarea").val("");
				  //swal(e['text'],'',e['type']);
			  }else{
				  $("#showw8-" + action + id).html("");
				  swal(e['text'],'',e['type']);
			  }
		  }
	 });
}
function SendReplyComment(pid, cid){
	var content = $("#postid-" + pid+" textarea").val();
	if((/^\s*$/).test(content)){
		return false;
	}
	$.ajax({
		  type: "POST",
		  url: "/ajax/chat.profile.replycomment",
		  data: {'comment' : content, 'pid' : pid, 'cid': cid},
		  success: function (e) {
			  alert(e)
			  $('#postid-' + pid + ' textarea').val('');
		  }
	 });
}
function ShowLDMain(action){
	var text = action == 'liked' ? 'کاربرانی که پسندیدند' : 'کاربرانی که نپسندیدند';
	$('.bs-profile-ldmain-lg .modal-body .friends').load('/ajax/chat.profile.showlikes', { action: action, id: $config['profile_id'] },function(result){
		$('.bs-profile-ldmain-lg h4.modal-title').html(text);
		$('.bs-profile-ldmain-lg').modal('show');
	});
}
function OfflineMessage(){
	$('.offlinemsg .modal-body').load('/ajax/chat.profile.offlinemsg', { userid: $config['profile_id'] },function(result){
		$('.offlinemsg h4.modal-title').html("پیام های آفلاین");
		$('.offlinemsg').modal('show');
	});
}
function SmileArea(id){
	ShowW8('smilearea-loader-' + id);
	if($('#smilearea-' + id).css('display') == 'none'){
		$.ajax({
			  type: "GET",
			  url: "/ajax/chat.profile.loadsmiley",
			  success: function (e) {
				  $('#smilearea-loader-' + id).html('');
				  $('#smilearea-' + id).html(e.replace(/\[id\]/g, id));
				  $('#smilearea-' + id).css('display', 'block'); 
			  }
		 });
	}else{
		$('#smilearea-loader-' + id).html('');
		$('#smilearea-' + id).css('display', 'none');
	}
}
function SmileInner(id,element){
	var rel = $(element).attr('rel');
	var comment = $('#postid-' + id + ' textarea').val();
	$('#postid-' + id + ' textarea').val(comment + rel).focus();
}
function SmileInShout(element){
	var rel = $(element).attr('rel');
	var shout = $('#showshout input').val();
	$('#showshout input').val(shout + rel).focus();
}
function UserReplyComment(name, cid, pid){
	$("#reply-" + pid).show();
	var actions = 'SendReplyComment("' + pid + '", "' + cid + '");return false;';
	$("#comments-form-" + pid + " button[type=submit]").attr("onclick",actions);
	$("#reply-" + pid).html('پاسخ به نظر ' + '<b>' + name + '</b>' + ' ، <a class="cursor" onclick="hideReply('+pid+');return false;">لغو پاسخ</a>');
	$('#postid-' + pid + ' textarea').focus();
}
function hideReply(id){
	var actions = 'SendCommentUser("' + id + '", "");return false;';
	$("#comments-form-" + id + " button[type=submit]").attr("onclick",actions);
	$("#reply-" + id).hide();
}
function UserFollowers(action){
	if(action == 'show'){
		$('.followers .modal-body .friends').load('/ajax/chat.profile.followers', {	'action': action, 'pid': $config['profile_id'] },function(result){
			$('.followers h4.modal-title').html('دنبال کنندگان');
			$('.followers').modal('show');
		});
	}else{
		$("#userfollowmanager").html('<center><i class="fa fa-link"></i><span></span><img style="width: 30px;height: 30px;position: relative;" src="' + $config['ajax_loader'] + '"></center>');
		$.ajax({
			  type: "POST",
			  url: "/ajax/chat.profile.followers",
			  data: {'action' : action, 'pid' : $config['profile_id'] },
			  success: function (e) {
					if(e['type'] == 'success'){
						var actions = action == 'add' ? 'UserFollowers("del")' : 'UserFollowers("add")';
						$("#userfollowmanager").attr("onclick",actions);
						var text = action == 'del' ? '<i class="fa fa-link"></i><span></span>دنبال کردن' : '<i class="fa fa-chain-broken"></i><span></span>حذف از دنبال شدگان';
						$("#userfollowmanager").html(text);
					}else{
						swal(e['text'],'',e['type']);
					}
			  }
		});
	}
}
function ShowSmileShout(){
	$("#showsmileshout").html('');
	if($("#showsmileshout").css('display') == 'none'){
		ShowW8("showsmileshout-loader");
		_Ajax(function(e){
			$("#showsmileshout").show();
			$("#showsmileshout-loader").html('');
			$("#showsmileshout").html(e.replace(/SmileInner\(\[id\],/g, 'SmileInShout('));
		},
		'loadsmiley'
		,{}
		,false
		);
	}else{
		$("#showsmileshout").hide();
	}

}
function SingleEdit(action){
	if(action == 'shout'){
		var content = $('#showshout input').val();
		_Ajax(function(e){
			if(e['type'] == 'success'){
				$('#showshout, #showsmileshout').hide();
				$('#hiddenshout').show();
				$('#hiddenshout span').html(replaceSmileis(content, false));
			}else if(e['type'] == 'error'){
				swal(e['text'], '', e['type']);
			}
		},
		'singleedit'
		,{content: content, action: action}
		,true
		);
	}
}
function _Ajax(func, url, data, json){
	if(json){
		$.ajax({
			  type: "POST",
			  url: "/ajax/chat.profile." + url,
			  data: data,
			  datatype: 'json',
			  success: function (e) {
				func(e);
			  }
		});
	}else{
		$.ajax({
			  type: "POST",
			  url: "/ajax/chat.profile." + url,
			  data: data,
			  success: function (e) {
				func(e);
			  }
		});
	}
}