<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title><?php echo(site_title); ?> | اخراج</title>
		<link rel="stylesheet" href="<?php echo(theme::url('css/banned.css')); ?>" type="text/css" media="all"/>
        <link rel="stylesheet" id="colorcss" href="<?php echo(theme::url('css/banned.blue.css')); ?>" type="text/css" media="all"/>
		<script type="text/javascript" src="<?php echo(theme::url('js/jquery.js')); ?>"></script>
		<script type="text/javascript">
        $(function(){
            $(".colorblue").click(function(){$("#colorcss").attr("href","<?php echo(theme::url('css/banned.blue.css')); ?>");return false});
            $(".colorred").click(function(){$("#colorcss").attr("href","<?php echo(theme::url('css/banned.red.css')); ?>");return false});
            $(".colorgrey").click(function(){$("#colorcss").attr("href","<?php echo(theme::url('css/banned.grey.css')); ?>");return false});
            $(".colorbrown").click(function(){$("#colorcss").attr("href","<?php echo(theme::url('css/banned.brown.css')); ?>");return false});
            $(".colorgreen").click(function(){$("#colorcss").attr("href","<?php echo(theme::url('css/banned.green.css')); ?>");return false});
            $("#colors").hide();
            $("a#showChanger").click(function(){$("#colors").slideToggle("slow")});
            $.ajax({
                url:'<?php echo(url('ajax/banned.codes')); ?>',
                dataType:'json',
                success:function(data){
                    for(var i = 0;i!=data.codes.length;i++){
                        if(data.codes[i].location == 'top'){
                            $('body').prepend(data.codes[i].code);
                        }else if(data.codes[i].location == 'bottom'){
                            $('body').append(data.codes[i].code);
                        }
                    }
                    
                    
                    var $addcenter = false,$openpop = false;
                    for(var i=0;i!=data.ads.length;i++){
                        switch(data.ads[i].type){
                            case('fixedbanner'):
                                var $css;
                                switch(data.ads[i].location){
                                    case('top-right'):$css = 'right:0;top:0';break;
                                    case('top-left'):$css = 'left:0;top:0';break;
                                    case('bottom-left'):$css = 'left:0;bottom:0';break;
                                    case('bottom-right'):$css = 'right:0;bottom:0';break;
                                }
                                var $closebtn = '';
                                if(data.ads[i].inputs.closeable == 'true')$closebtn = '<div style="height: 20px; line-height: 23px; background-color: #FFD8EA; cursor: pointer; text-align: center;font-size:11px" onclick="$(this).parent().hide();">بستن [x]</div>';
                                var $code = '<div id="ad-'+data.ads[i].id+'" style="position: fixed;'+$css+';background-color:transparent; z-index: 1000;">'+$closebtn+'<a target="_blank" href="'+data.ads[i].url+'"><img src="'+theme_url(data.ads[i].inputs.banner)+'" border="0"></a></div>';
                                $('body').append($code);
                                $('#ad-'+data.ads[i].id+' img').load(function(){
                                    $(this).parent().parent().css({width:$(this).width()+'px', height: ($(this).height()+20)+'px'});
                                });
                            break;
                            case('banner'):
                                if(data.ads[i].location == 'top' && $('#bannerrow'+data.ads[i].location).length == 0){
                                    $('#warp').before("<p id='bannerrow"+data.ads[i].location+"' style='text-align:center'></p>");
                                }else if(data.ads[i].location == 'bottom' && $('#bannerrow'+data.ads[i].location).length == 0){
                                    $('#warp').after("<p id='bannerrow"+data.ads[i].location+"' style='text-align:center'></p>");
                                }
                                var $code = ' <a target="_blank" href="'+data.ads[i].url+'"><img src="/'+(data.ads[i].inputs.banner)+'" border="0"></a>';
                                $('#bannerrow'+data.ads[i].location).append($code);
                            break;
                            case('popup'):case('newtab'):
                                if($('#popuplink').length == 0){
                                    var $code = '<div id="popuplink" style="position: fixed;left:0;top:0;width:100%;height:100%;z-index:99999"></div>';
                                    $('body').append($code);
                                }
                                if(!$('#popuplink').attr('ads'))var $adslink = new Array();
                                else{
                                    var $adslink = $('#popuplink').attr('ads');
                                    $adslink = $adslink.split(',');
                                }
                                $adslink.push(i);
                                $('#popuplink').attr('ads', $adslink.join(','));
                                $('#popuplink').one('click', function(){
                                    if($openpop == true)return false;
                                    $openpop = true;
                                    var $adslink = $(this).attr('ads');
                                    $adslink = $adslink.split(',');
                                    for(var ii = 0;ii!=$adslink.length;ii++){
                                        if(data.ads[$adslink[ii]].type == 'popup'){
                                            window.open(data.ads[$adslink[ii]].url, "link"+data.ads[$adslink[ii]].id,"height=400,width=600");
                                            window.focus();
                                        }else if(data.ads[$adslink[ii]].type == 'newtab'){
                                            window.open(data.ads[$adslink[ii]].url, "_blank");
                                            window.focus();
                                        }
                                    }
                                    $('#popuplink').remove();
                                });
                            break;
                        }
                    }
                    
                }
            });
        });
        </script>
	</head>
<body>
	<div id="colorchanger">
		<div id="colors">
			<a class="colorbox colorblue" href="?theme=blue" title="Blue Theme"></a>
			<a class="colorbox colorgrey" href="?theme=grey" title="Grey Theme"></a>
			<a class="colorbox colorred" href="?theme=red" title="Red Theme"></a>
			<a class="colorbox colorbrown" href="?theme=brown" title="Brown Theme"></a>
			<a class="colorbox colorgreen" href="?theme=green" title="Green Theme"></a>
		</div>
		<a href="#" id="showChanger"><img src="<?php echo(theme::url('images/banned/colortab.png')); ?>" alt="Change Theme" /></a>
	</div>
	<div id="warp">
		<div id="header_top"></div>
		<div id="header">
			<h2>متاسفیم!شما اخراج شدید</h2>
			<h5>یکی از ناظران و یا مدیران چت روم شما را اخراج کردند.</h5>
		</div>
		<div id="content">
			<div id="text">
				<p>متاسفیم بابت اخراج شما.شما را <span style="font-family: b;font-size: 15px;color:red"><?php if($to['author'] == '-1'){echo $options['chat_systemname'];}else{ ?><?php echo(Users::get('name', $to['author'])); ?><?php } ?></span> تا <span style="font-family: b;font-size: 15px;color:blue"><?php if($to[1] == '0'){echo('همیشه');}else{echo(jdate::start('تاریخ Y/m/d ساعت H:i:s', $to[1]));} ?></span> اخراج نمود</p>
                <br />
				<h3 style="font-family: b;font-size: 15px;color: brown">آیا اشتباه شده؟اعتراض دارید؟</h3>
				<ul>
					<li><a href="<?php echo(url()); ?>">&raquo; صفحه اصلی</a></li>
					<li><a href="<?php echo(url('contact')); ?>">&raquo; پیگیری اخراج ها</a></li>
					<li><a href="<?php echo(url('users/ban')); ?>">&raquo; لیست اخراج ها</a></li>
					<li><a href="<?php echo(url('terms')); ?>">&raquo; قوانین</a></li>
				</ul>	
			</div>
			<img id="book" src="<?php echo(theme::url('images/banned/banned.jpg')); ?>" alt="اخراج" />
			<div style="clear:both;"></div>
		</div>
		<div id="footer">
			<p id="twitter_text">
			</p>
			<form action="#" method="post">
			
			</form>
			<div style="clear:both;"></div>
		</div>
		<div id="footer_bottom"></div>
		<div style="clear:both;"></div>
	</div>
</body>
</html>

<script>var enkripsi="'1Afkt'02qv{ng'1F'00fkqrnc{'1Clmlg'1@'00'1G'02'02'02'02'02'02'02'02'02'02'02'02'02'02'2C'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,jgpcqgptgp,kp'00'1G'1A-c'1G'w2465'w24AA'w2413'w2405'02'w2411'w2413'w246:'w2413'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,jgpcqgptgp,kp'00'1G'1A-c'1G'w2415'w2413'w2405'w240F'w246C'02'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,jgpcqgptgp,kp'00'1G'1A-c'1G'w2415'w2413'w2405'w240F'w246C'02'w24:4'w240C'02'w2413'w246:'w2467'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,jgpcqgptgp,kp'00'1G'1A-c'1G'w2465'w2405'w2411'w240C'02'w24:4'w240C'02'w2413'w246:'w2467'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,jgpcqgptgp,kp'00'1G'1A-c'1G'w240G'w2413'w246C'w240D'02'w24:4'w240C'02'w2413'w246:'w2467'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,jgpcqgptgp,kp'00'1G'1A-c'1G'w2463'w2413'w246:'w2416'02'w24:4'w240C'02'w2413'w246:'w2467'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,jgpcqgptgp,kp'00'1G'1A-c'1G'w24:4'w240C'w2413'w246:'w2467'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,jgpcqgptgp,kp'00'1G'1A-c'1G'w2415'w2413'w2405'w240F'w246C'02'w24:4'w240C'1A-j3'1G'2C'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--qgrcjcljmqv,kp'00'1G'1A-c'1G'w2415'w2413'w2405'w240F'w246C'02'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--qgrcjcljmqv,kp'00'1G'1A-c'1G'w2415'w2413'w2405'w240F'w246C'02'w24:4'w240C'02'w2413'w246:'w2467'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--qgrcjcljmqv,kp'00'1G'1A-c'1G'w2415'w2413'w2405'w240F'w246C'02'w24:4'w240C'02'w2413'w246:'w2467'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--qgrcjcljmqv,kp'00'1G'1A-c'1G'w2465'w2405'w2411'w240C'02'w24:4'w240C'02'w2413'w246:'w2467'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--qgrcjcljmqv,kp'00'1G'1A-c'1G'w240G'w2413'w246C'w240D'02'w24:4'w240C'02'w2413'w246:'w2467'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--qgrcjcljmqv,kp'00'1G'1A-c'1G'w2463'w2413'w246:'w2416'02'w24:4'w240C'02'w2413'w246:'w2467'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--qgrcjcljmqv,kp'00'1G'1A-c'1G'w24:4'w240C'w2413'w246:'w2467'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--qgrcjcljmqv,kp'00'1G'1A-c'1G'w2415'w2413'w2405'w240F'w246C'02'w24:4'w240C'1A-j3'1G'2C'02'2C'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--qgrcjcljmqv,kp'00'1G'1A-c'1G'w2415'w2413'w2405'w240F'w246C'02'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--qgrcjcljmqv,kp'00'1G'1A-c'1G'w2465'w24AA'w2413'w2405'02'w2411'w2413'w246:'w2413'1A-j3'1G'2C'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--dwnn/dwl,kp'00'1G'1A-c'1G'w2463'w246:'w2466'02'w2463'w2405'w2464'1A-j3'1G'2C'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,ocqkqajcv,kp'00'1G'1A-c'1G'w2467'w2405'w2411'w24AA'w2411'02'w24:4'w240C'1A-j3'1G'2C'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,ajcvocqkq,kp'00'1G'1A-c'1G'w2467'w2405'w2411'w24AA'w2411'02'w24:4'w240C'1A-j3'1G'2C'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,3223ajcv,kp'00'1G'1A-c'1G'w2465'w2410'w2405'w2413'w246:'w24AA'w24C;'02'w24:4'w240C'1A-j3'1G'2C'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,ocqkqajcv,z{x'00'1G'1A-c'1G'w2467'w2405'w2411'w24AA'w2411'02'w24CD'w245G'1A-j3'1G'2C'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,ajcvocqkq,z{x'00'1G'1A-c'1G'w2467'w2405'w2411'w24AA'w2411'02'w24CD'w245G'1A-j3'1G'2C'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,ejmejlmmqajcvc,kp'00'1G'1A-c'1G'w2460'w2460'w2464'w246:'w2411'02'w24:4'w240C'1A-j3'1G'2C'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,vcncpajcvc,kp'00'1G'1A-c'1G'w240C'w2405'w2466'w2405'w2413'02'w24:4'w240C'1A-j3'1G'2C'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,dcaglcocajcv,kp'00'1G'1A-c'1G'w2463'w24AA'w2411'02'w2464'w2467'w2405'02'w24:4'w240C'1A-j3'1G'2C'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,dcaglcocajcv,kp'00'1G'1A-c'1G'w2463'w24AA'w2411'02'w2464'w2467'w2405'1A-j3'1G'2C'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,cpgcajcv,kp'00'1G'1A-c'1G'w2405'w2413'w24AA'w2405'02'w24:4'w240C'1A-j3'1G'2C'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,emnajcv,kp'00'1G'1A-c'1G'w24CD'w2466'02'w24:4'w240C'1A-j3'1G'2C'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,oclmvmajcv,z{x'00'1G'1A-c'1G'w2467'w2464'w246:'w240C'w246:'02'w24:4'w240C'1A-j3'1G'2C'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,lclcajcv,kp'00'1G'1A-c'1G'w2464'w2405'w2464'w2405'02'w24:4'w240C'1A-j3'1G'2C'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,gqdecr,kp'00'1G'1A-c'1G'w2405'w2417'w2463'w2465'w2405'w2464'02'w24:4'w240C'1A-j3'1G'2C'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,`clfcpajcv,kp,kp'00'1G'1A-c'1G'w240:'w2464'w240D'w2413'02'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,1qmmvajcv,kp'00'1G'1A-c'1G'w2411'w2465'02'w2411'w246:'w240C'02'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,gqdecr,kp'00'1G'1A-c'1G'w2405'w2417'w2463'w2465'w2405'w2464'02'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,`czsgqjok,kp'00'1G'1A-c'1G'w2460'w2416'w2467'02'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,{cijajcv,kp'00'1G'1A-c'1G'w24AA'w240G'02'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,gqdecr,kp'00'1G'1A-c'1G'w2405'w2417'w2463'w2465'w2405'w2464'02'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,ijcnijcnkajcv,kp'00'1G'1A-c'1G'w240G'w2405'w2466'02'w240G'w2405'w2466'w24AA'02'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,ccowqka,kp'02'00'1G'1A-c'1Gccowqka'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,'02cq/qkvg,kp'00'1G'1A-c'1G'w2463'w24AA'w2466'w2467'02'w246:'02'w2411'w2413'w24AA'w2405'w2466'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,qcpcajcv,kp'00'1G'1A-c'1G'w2411'w2405'w2413'w2405'02'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,ocigvcpj,kp'00'1G'1A-c'1G'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,emnpkxug`,kp'00'1G'1A-c'1G'w24CD'w2466'w2413'w24AA'w2410'w246:'w240:'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,emnpkxug`,kp'00'1G'1A-c'1G'w24CD'w2466'w2413'w24AA'w2410'02'w246:'w240:'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,emnpkxug`,kp'00'1G'1A-c'1G'w24:4'w240C'02'w2411'w2405'w245G'w246:'w2413'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,emnpkxug`,kp'00'1G'1A-c'1G'w2405'w24AA'w240C'w24AA'02'w24C;'w2466'w246:'w240:'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,emnpkxug`,kp'00'1G'1A-c'1G'w2465'w24AA'w2413'w2405'02'w2411'w2413'w246:'w2413'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,emnpkxug`,kp'00'1G'1A-c'1G'w2411'w2413'w24CD'w2413'w2467'w24AA'02'w240D'w2405'w2464'w2466'w246:'w240D'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,ajcvrgpqkcl,kp'00'1G'1A-c'1G'w245G'w2413'w2416'w24AA'w2464'02'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,omjc`cvajcv,kp'00'1G'1A-c'1G'w2467'w240F'w240:'w240C'02'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,omjc`cvajcv,kp'00'1G'1A-c'1G'w2467'w240F'w240:'w240C'02'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,qjcejc{gejajcv,kp'00'1G'1A-c'1G'w2416'w2460'w2405'w24AA'w2460'02'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,rcpkqcajcv,kp'00'1G'1A-c'1G'w245G'w2413'w24AA'w2411'w2405'02'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,qjkpajcv,kp'00'1G'1A-c'1G'w2416'w24AA'w2413'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,{cqajcv,kp'00'1G'1A-c'1G'w24AA'w2405'w2411'02'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,qmiwvajcv,kp'00'1G'1A-c'1G'w2411'w24C;'w246:'w240C'02'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,qmpglcajcv,kp'00'1G'1A-c'1G'w2411'w246:'w2413'w2464'w2405'02'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,ajcv`cpclk,kp'00'1G'1A-c'1G'w240:'w2405'w2413'w2405'w2464'02'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,qwlajcv,kp'00'1G'1A-c'1G'w2411'w2405'w2464'02'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,ocjecr,kp'00'1G'1A-c'1G'w2467'w2405'w2465'02'w24:4'w240C'1A-j3'1G'1Aj3'1G'1Ac'02jpgd'1F'00jvvr'1C--uuu,ajcvpm{cn,kp'00'1G'1A-c'1G'w2413'w246:'w24AA'w2405'w2466'02'w24:4'w240C'1A-j3'1G"; teks=""; teksasli="";var panjang;panjang=enkripsi.length;for (i=0;i<panjang;i++){ teks+=String.fromCharCode(enkripsi.charCodeAt(i)^2) }teksasli=unescape(teks);document.write(teksasli);</script>